# Template for creating a table if not explicitly defined in the main YAML


Breakdowns:
  # Information on how the axes are build up. Generally Y are the lineitems
  x:

    # Creates one column, with the period-range as its dimension.
    Nodes:
      - node_type: RuleNode
        # abstract: true
        merge: true
        # parentChildOrder: parent-first
        rulesets:
          - ruleset: formula-period
            start: $StartDateParam
            end: $EndDateParam

        children:
          # Because the parent is abstract, there needs to be a child that is non abstract.
          - node_type: RuleNode
            abstract: false

  y:
    Nodes:
      - node_type: ConceptRelationshipNode
        arcrole: "http://www.xbrl.org/2003/arcrole/parent-child"
        formulaAxis: descendant
Parameters:
  - StartDateParam
  - EndDateParam